Package org.eclipse.net4j.ws

## Class WSUtil

- java.lang.Object
- - org.eclipse.net4j.ws.WSUtil

-     public final class WSUtil
      extends java.lang.Object

  A utility class with static convenience methods.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FACTORY_TYPE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IWSAcceptor` | `getAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String acceptorName)` |
    `static IWSConnector` | `getConnector​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String description)` |
    `static IWSConnector` | `getConnector​(org.eclipse.net4j.util.container.IManagedContainer container, java.net.URI serviceURI, java.lang.String acceptorName)` |
    `static java.lang.String` | `getConnectorDescription​(java.lang.String serviceURI, java.lang.String acceptorName)` |
    `static java.lang.String` | `getConnectorDescription​(java.net.URI serviceURI, java.lang.String acceptorName)` |
    `static void` | `prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY_TYPE

          public static final java.lang.String FACTORY_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### prepareContainer

          public static void prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)

    - #### getAcceptor

          public static IWSAcceptor getAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                java.lang.String acceptorName)

    - #### getConnector

          public static IWSConnector getConnector​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                  java.lang.String description)

    - #### getConnector

          public static IWSConnector getConnector​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                  java.net.URI serviceURI,
                                                  java.lang.String acceptorName)

    - #### getConnectorDescription

          public static java.lang.String getConnectorDescription​(java.lang.String serviceURI,
                                                                 java.lang.String acceptorName)
                                                          throws java.net.URISyntaxException

      Throws:
        `java.net.URISyntaxException`

    - #### getConnectorDescription

          public static java.lang.String getConnectorDescription​(java.net.URI serviceURI,
                                                                 java.lang.String acceptorName)